<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscObjectComposedDataRegister</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscObjectComposedDataRegister"><H1>PetscObjectComposedDataRegister</H1></A>
Get an available id for  composed data 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"    
PetscErrorCode PETSC_DLLEXPORT PetscObjectComposedDataRegister(PetscInt *id)
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Output parameter</FONT></H3>
<DT><B>id </B> -an identifier under which data can be stored
<br>
<P>

<P>
seealso: <A HREF="../Sys/PetscObjectComposedDataSetInt.html#PetscObjectComposedDataSetInt">PetscObjectComposedDataSetInt</A>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/objects/state.c.html#PetscObjectComposedDataRegister">src/sys/objects/state.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
